File no-default-cacert.patch of Package python-requests

Index: requests-2.9.1/MANIFEST.in
===================================================================
--- requests-2.9.1.orig/MANIFEST.in
+++ requests-2.9.1/MANIFEST.in
@@ -1 +1 @@
-include README.rst LICENSE NOTICE HISTORY.rst test_requests.py requirements.txt requests/cacert.pem
+include README.rst LICENSE NOTICE HISTORY.rst test_requests.py requirements.txt
Index: requests-2.9.1/requests/adapters.py
===================================================================
--- requests-2.9.1.orig/requests/adapters.py
+++ requests-2.9.1/requests/adapters.py
@@ -179,15 +179,13 @@ class HTTPAdapter(BaseAdapter):
             if verify is not True:
                 cert_loc = verify
 
-            if not cert_loc:
-                cert_loc = DEFAULT_CA_BUNDLE_PATH
-
-            if not cert_loc:
-                raise Exception("Could not find a suitable SSL CA certificate bundle.")
-
             conn.cert_reqs = 'CERT_REQUIRED'
 
-            if not os.path.isdir(cert_loc):
+            if cert_loc is None:
+                # use default context
+                conn.ca_certs = None
+                conn.ca_cert_dir = None
+            elif not os.path.isdir(cert_loc):
                 conn.ca_certs = cert_loc
             else:
                 conn.ca_cert_dir = cert_loc
Index: requests-2.9.1/requests/certs.py
===================================================================
--- requests-2.9.1.orig/requests/certs.py
+++ requests-2.9.1/requests/certs.py
@@ -18,8 +18,9 @@ try:
 except ImportError:
     def where():
         """Return the preferred certificate bundle."""
-        # vendored bundle inside Requests
-        return os.path.join(os.path.dirname(__file__), 'cacert.pem')
+        # in openSUSE we rely on ca-certificates instead of
+        # having an another bundle
+        return '/etc/ssl/ca-bundle.pem'
 
 if __name__ == '__main__':
     print(where())